.root {
  display: flex;
  flex-direction: column;
  height: 100%;
  padding-top: 20px;
}

.title {
  padding-bottom: 20px;
  font: var(--font-h1);

  &-default {
    font-weight: 300;
  }
}

.delivery {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 8px;
  background-color: #eceff180;
  padding: 12px 12px 12px 56px;
  border-radius: 12px;

  .advantagesIcon {
    position: absolute;
    top: 12px;
    left: 12px;
  }

  .title {
    font: var(--font-p1);
    font-weight: 700;
    color: var(--text-main);
  }

  .text {
    font: var(--font-p2);
    color: var(--text-main);

    &-bolded {
      font-weight: 700;
    }
  }
}

.content {
  display: flex;
  padding-bottom: 40px;
}

.cartItems {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 600px;
  padding-right: 60px;

  > div {
    margin-top: 24px;

    &:first-child {
      margin-top: 0;
    }
  }
}

.orderRegistration {
  width: 314px;
  display: flex;
  flex-direction: column;
  gap: 40px;
  height: 410px;
  flex-shrink: 0;
}

.cart {
  padding: 16px;
  gap: 24px;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  box-shadow: 0 2px 16px 0 #60617029;

  &Title {
    font: var(--font-h3);
  }

  .separator {
    width: 100%;
    height: 1px;
    background-color: var(--bg-outline);
  }

  .cartContent {
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .subtitle {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    font: var(--font-p2);

    &-secondary {
      color: var(--text-secondary);
    }
  }

  .commonPrice {
    font-weight: 800;
  }

  .price {
    color: var(--text-main);
    font: var(--font-p2);
    font-weight: 600;

    &-discount {
      color: var(--accent);
    }

    &-bolded {
      font: var(--font-h3);
    }
  }
}
